List activity logs
curl --request GET \
--url https://cloud.watahub.dev/v1/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"origin": "api",
"createdAt": 123,
"method": "<string>",
"path": "<string>",
"apiKeyId": "<string>",
"apiKeyPrefix": "<string>",
"durationMs": 123,
"httpStatus": 123,
"eventType": "<string>",
"deliveryId": "<string>",
"webhookId": "<string>",
"deliveryKind": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API reference
List activity logs
List activity logs
GET
/
v1
/
logs
List activity logs
curl --request GET \
--url https://cloud.watahub.dev/v1/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"origin": "api",
"createdAt": 123,
"method": "<string>",
"path": "<string>",
"apiKeyId": "<string>",
"apiKeyPrefix": "<string>",
"durationMs": 123,
"httpStatus": 123,
"eventType": "<string>",
"deliveryId": "<string>",
"webhookId": "<string>",
"deliveryKind": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerApiKeyheaderApiKey
Tenant API key.
Query Parameters
Available options:
api, meta, webhook Available options:
1, true Response
Up to 200 entries, kept 7 days. Bodies are never logged.
Show child attributes
Show child attributes
Was this page helpful?